Name:          fuse-emulator
Version:       1.5.7
Release:       %mkrel 2
Summary:       Fuse (the Free Unix Spectrum Emulator)
Group:         Emulators
URL:           http://fuse-emulator.sourceforge.net/
Source0:       https://sourceforge.net/projects/fuse-emulator/files/fuse/%{version}/fuse-%{version}.tar.gz
License:       GPLv2

BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: libz-devel
BuildRequires: libpng-devel
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: libjpeg-devel
BuildRequires: pkgconfig(libspectrum)
BuildRequires: libgcrypt-devel
BuildRequires: libaudiofile-devel

%description
Fuse (the Free Unix Spectrum Emulator) was originally, and somewhat
unsurprisingly, an emulator of the ZX Spectrum (a popular 1980s home
computer, especially in the UK) for Unix. Fuse also emulates some of
the better-known ZX Spectrum clones as well.

%prep
%setup -q -n fuse-%{version}

%build
%configure --enable-desktop-integration
%make_build

%install
%make_install

%files
%doc AUTHORS README THANKS
%{_bindir}/fuse
%{_mandir}/man1/fuse.1.xz
%{_datadir}/fuse
%{_datadir}/applications/fuse.desktop
%{_iconsdir}/hicolor/*/apps/fuse.png
%{_iconsdir}/hicolor/*/mimetypes/application-x-spectrum.png
%{_datadir}/mime/packages/fuse.xml


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.5.7-2.mga8
+ Revision: 1522786
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 07 2019 daviddavid <daviddavid> 1.5.7-1.mga7
+ Revision: 1363940
- new version: 1.5.7

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1297802
- Mageia 7 Mass Rebuild

* Mon Apr 02 2018 semiletov <semiletov> 1.5.0-1.mga7
+ Revision: 1214748
- update to upstream (1.5), spec fixes

* Thu Dec 07 2017 semiletov <semiletov> 1.4.0-1.mga7
+ Revision: 1181604
- imported package fuse-emulator

